function sdkp:OnCommReceive(prefix, message, distribution, sender)
	self:Debug("ADDONMSG:", sender, "sent a message in", distribution);
    local success, action, snapshot, loot, currentsystem = self:Deserialize(message);
   	self:Debug("ADDONMSG:", success, action, snapshot, loot, currentsystem, "expecting?:", self.requestsync); 	
   	 	
    if success then
    	if action == "requestsync" then
    		self:Print("ADDONMSG:", sender, "requesting sync"); 
    		self:SendSync(sender);
    	elseif action == "sendsync" and self.requestsync:lower() == sender:lower() then
    		self:Print("ADDONMSG:", sender, "received requested sync");
    		this.requestsync = nil;
    		self:ObserveSync(snapshot, loot, currentsystem);
    	end
    	
    end
end

function sdkp:SendSync(to)
	if not self.BIDDING then 
		self:SendCommMessage(self.name, 
			self:Serialize(
				"sendsync", 
				self.db.profile.snapshot, 
				self.db.profile.loot, 
				self.db.profile.currentsystem
			), "WHISPER", to, "BULK");
	end
end

function sdkp:ObserveSync(snapshot, loot, currentsystem)
	self.db.profile.snapshot = snapshot;
	self.db.profile.loot = loot;
	self.db.profile.currentsystem = currentsystem;
	sdkp:UpdateScrollData();
	sdkp_RefreshSlideScrollFrame();
end